#include<bits/stdc++.h>
#define N 1000005
using namespace std;
int c[N],i,j,k,x,vt=0;
vector<int>v;
void snt()
{
    fill(c+2,c+N+1,1);
    for(i=2; i*i<=N; i++)
        if(c[i]==1)
            for(j=i*i; j<=N; j+=i)
                c[j]=0;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
//    freopen("SDB.inp","r",stdin);
//    freopen("SDB.out","w",stdout);
    while(cin>>x)
    {
        v.push_back(x);
    }
    snt();
    for(k=1; k<v.size(); k++)
    {
        if (v[k-1]>=0&&v[k+1]>=0)
        {
            if(c[v[k-1]]==1&&c[v[k+1]]==1)
            {
                vt=k+1;
            }
        }

    }
    cout<<vt;
    return 0;
}
